Bug 198418 - Package vino lacks IPv6 support
Package vino lacks IPv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:31 EDT by Peter Vrabec
Modified: 2013-03-05 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: vino-2.18.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 06:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:31:15 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/vino-2.13.5/server/libvncserver/sockets.c:548:    addr.sin_family = AF_INET;
/vino-2.13.5/server/libvncserver/sockets.c:553:    if ((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
/vino-2.13.5/server/libvncserver/sockets.c:583:    addr.sin_family = AF_INET;
/vino-2.13.5/server/libvncserver/sockets.c:595:    if ((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
/vino-2.13.5/server/vino-http.c:611:  if ((sock = socket (AF_INET, SOCK_STREAM, 0)) < 0)
/vino-2.13.5/server/vino-http.c:640:      saddr.sin_family = AF_INET;
Comment 1 Behdad Esfahbod 2006-07-16 12:12:08 EDT
Can you please also suggest what a fix should look like?
Comment 2 Mark McLoughlin 2006-07-20 09:36:03 EDT
This patch might be a starting point:

  http://bugzilla.gnome.org/show_bug.cgi?id=310965
Comment 4 Peter Vrabec 2006-07-21 06:55:00 EDT
http://people.redhat.com/drepper/userapi-ipv6.html may help too
Comment 5 Mark McLoughlin 2006-10-20 06:26:37 EDT
See upstream bug report for the IPv6 patches which were just committed.
Comment 7 Mark McLoughlin 2007-03-26 06:29:18 EDT
vino-2.18.0 in rawhide/F7 has IPv6 - i.e. it should accept connections from IPv6
clients.

Note You need to log in before you can comment on or make changes to this bug.